Subject: [bug#55248] [PATCH 1/7] gnu: racket: Update to 8.5.

From: Liliana Marie Prikler <[email-masked]>
Date: Wed, 04 May 2022 08:53:40 +0200

Am Dienstag, dem 03.05.2022 um 14:33 -0400 schrieb Philip McGrath:
> * gnu/packages/patches/racket-gui-tethered-launcher-backport.patch,
> gnu/packages/patches/racket-enable-scheme-backport.patch: Delete
> files.
> * gnu/local.mk (dist_patch_DATA): Remove them.
LGTM.
> * gnu/packages/chez.scm (chez-scheme-for-racket): Update to 9.5.7.6.
This...
> * gnu/packages/racket.scm (%racket-version): Update to 8.4.900.
... and this might be done in different commits.  Also, you typo'd in
the ChangeLog, the version ought to be 8.5
> (%racket-origin)[sha256]: Update accordingly.
You don't normally need to mention hash updates, but (*).
> [patches]: Remove obsolete patches.
LGTM.
> (racket-vm-common-configure-flags): Remove incorrect comment.
No.  Unless you address the issue at hand (which I don't want to be a
blocker for this series, mind you), it persists.  If you don't like how
the comment is written currently, you might suggest an alternative
formulation, but people deserve to know that the origtree layout is a
hack.
> (simple-racket-origin): Accept optional #:commit argument.
Is this used anywhere?  If not, I suggest leaving it be for now.
> (racket)[inputs]<2d, datalog, deinprogramm, draw, drracket,
> expeditor, htdp, pict, plot, quickscript, racklog, rackunit, redex,
> scribble, typed-racket, string-constants, syntax-color, web-server,
> xrepl>: Update checksums.
(*) here it makes sense to document the checksum updates, because
they'd otherwise be invisible.
> <gui, srfi>: Likewise, and remove obsolete backports.

Cheers